#pragma once

class Room;
class AirDrop
{
 public:

    AirDrop(Room* room);

    void Init();

 private:
    void Exec(int appear_time, int box_id, int airdrop_id);
    void ShuaMon(const glm::vec3& center,
                 const std::vector<int>& airdrop_mon_list,
                 float radius);

 private:
    Room* room_ = nullptr;
    int airdrop_times_ = 0;
};
