#pragma once

#include "attrdefine.h"

class AttrHelper
{
 public:

    static float* GetAttrAbsPtr(std::array<float, kHAT_End>& attr, int attr_id);
    static float* GetAttrRatePtr(std::array<float, kHAT_End>& attr, int attr_id);

    static bool ParseAttr(std::shared_ptr<a8::XObject> xobj,
                          std::array<float, kHAT_End>& attr_abs,
                          std::array<float, kHAT_End>& attr_rate);

    static std::string GetAttrName(int attr_id);
};
