#include "precompile.h"

#include "buff/downed.h"

#include "creature.h"
#include "human.h"
#include "room.h"

#include "mt/Buff.h"

void DownedBuff::Activate()
{
    if (!owner->room->IsDestorying() && !owner->room->IsGameOver()) {
        if (owner->IsHuman()) {
            owner->AsHuman()->SendViewerUiMemberUpdate({owner->GetUniId()});
        }
    }
}

void DownedBuff::Deactivate()
{
    if (!owner->room->IsDestorying() && !owner->room->IsGameOver()) {
        if (owner->IsHuman()) {
            owner->AsHuman()->SendViewerUiMemberUpdate({owner->GetUniId()});
        }
    }
}
