#include "precompile.h"

#include <f8/app.h>

#include "custom_battle.h"
#include "custom_team.h"
#include "custom_member.h"
#include "netdata.h"
#include "player.h"
#include "global.h"

void CustomMember::Join(Player* hum)
{
    joined_ = true;
    join_time_ = f8::App::Instance()->GetNowTime();
}

bool CustomMember::IsView()
{
    return team_->IsView();
}

void CustomMember::_CMBattlePreSetReady(f8::MsgHdr* hdr, const cs::CMBattlePreSetReady& msg)
{
    is_ready_ = true;
    GetTeam()->GetCustomBattle()->OnMemberReady(this);
}

bool CustomMember::IsAndroid()
{
    return is_android_ != 0;
}
