#pragma once

#include "mt/macro.h"
#include "mtb/Drop.h"

namespace mt
{

    DECLARE_ID_TABLE(Drop, mtb::Drop,
                     "drop@drop.json",
                     "drop_id")
    public:

        void Init1();
        //0:item_id 1:item_num 2:weight
        void RandItems(std::vector<std::tuple<int, int, int>>& drop_items) const;

    private:
        std::vector<std::tuple<std::vector<int>, std::vector<int>, std::vector<int>, int>> _items;
        int _total_weight = 0;
    };

}
