#include "precompile.h"

#include "mt/KillReward.h"

IMPL_TABLE(mt::KillReward)
std::map<int, const mt::KillReward*> mt::KillReward::kill_hash_;

namespace mt
{

    void KillReward::Init1()
    {
        kill_hash_[kill_num()] = this;
    }

    float KillReward::GetKillRewardParam(int kill_num)
    {
        auto itr = kill_hash_.find(kill_num);
        return itr != kill_hash_.end() ? itr->second->parameter() : 0.0f;
    }

}
