#pragma once

#include "mt/macro.h"
#include "mtb/MapThingGroup.h"

namespace mt
{

    DECLARE_ID_TABLE(MapThingGroup, mtb::MapThingGroup,
                     "mapThingGroup@mapThingGroup.json",
                     "mtGroupId")
    public:

        void Init1();

        const std::vector<std::tuple<int, int>>* GetItems() const { return &items_; };

    private:
        std::vector<std::tuple<int, int>> items_;
    };

}
