#pragma once

#include "mt/macro.h"
#include "mtb/NpcStandard.h"

namespace mt
{

    DECLARE_ID_TABLE(NpcStandard, mtb::NpcStandard,
                     "npcStandard@npcStandard.json",
                     "id")
    public:
       void Init1();
       static void StaticPostInit();
       static const mt::NpcStandard* GetByHeroAndLv(int hero_id, int lv);

    private:
       static std::map<long long, const mt::NpcStandard*> hero_lv_hash_;
    };

}
