#pragma once

#include "mt/macro.h"
#include "mtb/PveGeminiContent.h"

namespace mt
{

    DECLARE_ID_TABLE(PveGeminiContent, mtb::PveGeminiContent,
                     "pveGeminiContent@pveGeminiContent.json",
                     "id")
    public:

        glm::vec3 _spawn_point;
        std::vector<int> _enemys;

        void Init1();
        static const std::vector<const mt::PveGeminiContent*>* GetContentsByMode(int mode);

    private:
        static std::map<int, std::vector<const mt::PveGeminiContent*>> mode_hash_;

    };

}
