#pragma once

#include "mt/macro.h"
#include "mtb/PveGeminiMode.h"

namespace mt
{

    DECLARE_ID_TABLE(PveGeminiMode, mtb::PveGeminiMode,
                     "pveGeminiMode@pveGeminiMode.json",
                     "id")
    public:

        std::vector<int> _mode_time;
        std::vector<const mt::SafeArea*> _area;
        std::vector<std::vector<const mt::PveGeminiContent*>> _waves;
        std::vector<int> _score_reward;
        std::vector<int> _round_score;
        std::vector<glm::vec3> _next_door;

        void Init1();
        int CalcStar(int score) const;
    };

}
