#include "precompile.h"

#include "mt/RankReward.h"

IMPL_TABLE(mt::RankReward)
std::map<int, const mt::RankReward*> mt::RankReward::rank_hash_;

namespace mt
{

    void RankReward::Init1()
    {
        rank_hash_[rank()] = this;
    }

    float RankReward::GetRankRewardParam(int rank)
    {
        auto itr = rank_hash_.find(rank);
        return itr != rank_hash_.end() ? itr->second->parameter() : 0.0f;
    }

}
