#pragma once

#include "mt/macro.h"
#include "mtb/Robot.h"

namespace mt
{

    DECLARE_ID_TABLE(Robot, mtb::Robot,
                     "robot@robot.json",
                     "id")
    public:

      void Init1();
      static const mt::Robot* RandRobot(std::set<int>& refreshed_robot_set);

        std::vector<int> _skin_id;
        float RandBulletAngleOfsset() const;

    private:
        int _bullet_offset_rand_space = 0;
        const mt::Hero* hero_meta_ = nullptr;
        std::vector<std::tuple<float, int>> _bullet_offset;
    };

}
