#pragma once

#include "mt/macro.h"
#include "mtb/SafeAreaSafePoint.h"

namespace mt
{

    DECLARE_ID_TABLE(SafeAreaSafePoint, mtb::SafeAreaSafePoint,
                     "safearea_safepoint@safearea_safepoint.json",
                     "id")
    public:

       void Init1();
       static void StaticPostInit();
       static glm::vec3* RandPoint(int type);

    private:
       static std::map<int, std::vector<glm::vec3>> _type_safe_points_hash;
    };

}
