#pragma once

#include <bitset>

namespace mtb
{

  class BattleLevelAttribute
  {
  public:

    std::shared_ptr<a8::reflect::Class> GetClass() const;
    int id() const { return id_; };
    int invoke() const { return invoke_; };
    const std::string cost() const { return cost_; };
    const std::string levelAttribute() const { return levelAttribute_; };

    bool has_id() const { return __flags__.test(0);};
    bool has_invoke() const { return __flags__.test(1);};
    bool has_cost() const { return __flags__.test(2);};
    bool has_levelAttribute() const { return __flags__.test(3);};

  protected:

    int id_ = 0;
    int invoke_ = 0;
    std::string cost_;
    std::string levelAttribute_;

public:
    std::bitset<4> __flags__;
  };

};
