#pragma once

#include <bitset>

namespace mtb
{

  class BattleRandAttribute
  {
  public:

    std::shared_ptr<a8::reflect::Class> GetClass() const;
    int id() const { return id_; };
    int invoke() const { return invoke_; };
    const std::string qualityWeight() const { return qualityWeight_; };
    const std::string distribution() const { return distribution_; };
    const std::string attributeRange() const { return attributeRange_; };

    bool has_id() const { return __flags__.test(0);};
    bool has_invoke() const { return __flags__.test(1);};
    bool has_qualityWeight() const { return __flags__.test(2);};
    bool has_distribution() const { return __flags__.test(3);};
    bool has_attributeRange() const { return __flags__.test(4);};

  protected:

    int id_ = 0;
    int invoke_ = 0;
    std::string qualityWeight_;
    std::string distribution_;
    std::string attributeRange_;

public:
    std::bitset<5> __flags__;
  };

};
