#pragma once

#include <bitset>

namespace mtb
{

  class HeroQuality
  {
  public:

    std::shared_ptr<a8::reflect::Class> GetClass() const;
    int id() const { return id_; };
    int quality() const { return quality_; };
    int gold_limit() const { return gold_limit_; };
    int lucky() const { return lucky_; };

    bool has_id() const { return __flags__.test(0);};
    bool has_quality() const { return __flags__.test(1);};
    bool has_gold_limit() const { return __flags__.test(2);};
    bool has_lucky() const { return __flags__.test(3);};

  protected:

    int id_ = 0;
    int quality_ = 0;
    int gold_limit_ = 0;
    int lucky_ = 0;

public:
    std::bitset<4> __flags__;
  };

};
