#pragma once

#include <bitset>

namespace mtb
{

  class KillReward
  {
  public:

    std::shared_ptr<a8::reflect::Class> GetClass() const;
    int kill_num() const { return kill_num_; };
    float parameter() const { return parameter_; };

    bool has_kill_num() const { return __flags__.test(0);};
    bool has_parameter() const { return __flags__.test(1);};

  protected:

    int kill_num_ = 0;
    float parameter_ = 0.0f;

public:
    std::bitset<2> __flags__;
  };

};
