#include "precompile.h"

#include <f8/btmgr.h>

#include "room_agent.h"
#include "room.h"

#include "mt/Map.h"

RoomAgent::RoomAgent():BaseAgent()
{
}

RoomAgent::~RoomAgent()
{
}

int RoomAgent::GetMapId()
{
    return room_->GetMapMeta()->map_id();
}

int RoomAgent::GetHumanNum()
{
    return room_->GetHumanNum();
}

int RoomAgent::GetAliveHumanNum()
{
    return room_->AliveCount();
}

int RoomAgent::GetPlayerNum()
{
    return room_->GetPlayerNum();
}

int RoomAgent::GetAlivePlayerNum()
{
    return room_->GetAlivePlayerCount();
}

int RoomAgent::GetTeamNum()
{
    return room_->GetTeamNum();
}

int RoomAgent::GetAliveTeamNum()
{
    return room_->GetAliveTeamNum();
}

HeroAgent* RoomAgent::FindHero(int hero_uniid)
{
    return nullptr;
}

bool RoomAgent::IsGameOver()
{
    return room_->IsGameOver();
}

GasMode_e RoomAgent::GetGasMode()
{
    return room_->GetGasData().GetGasMode();
}
