#pragma once

#include "base_agent.h"

class Room;
class HeroAgent;
class RoomAgent : public BaseAgent
{
public:
    RoomAgent();

    virtual ~RoomAgent() override;

    BEHAVIAC_DECLARE_AGENTTYPE(RoomAgent, BaseAgent)

    int GetMapId();
    int GetHumanNum();
    int GetAliveHumanNum();
    int GetPlayerNum();
    int GetAlivePlayerNum();
    int GetTeamNum();
    int GetAliveTeamNum();
    HeroAgent* FindHero(int hero_uniid);
    GasMode_e GetGasMode();

    bool IsGameOver();
    void SetRoom(Room* room) { room_ = room; }
    virtual Room* GetRoom() override { return room_; }

private:
    Room* room_ = nullptr;
};
