#pragma once

class Creature;
class RoomObstacle;
class SkillHelper
{
 public:

    static void Init();

    static void GetMagicIdAndBaseSkillId(int skill_id, int& magic_id, int& base_skill_id);

    //医疗站
    static int GetYlzRange(const mt::Skill* skill_meta);
    static int GetYlzRecoverHp(Creature* sender, Creature* target, const mt::Skill* skill_meta);
    static int GetYlzDamage(Creature* sender, Creature* target, const mt::Skill* skill_meta);

    static void ProcBulletHitBuff(IBullet* bullet, Creature* c, int buff_uniid);
    static bool ProcBulletDmg(IBullet* bullet, Creature* target, float& finaly_dmg);
    static void ProcSummonObstacle(const mt::Skill* skill_meta, RoomObstacle* ob);

private:

    static std::map<int, int> magic_skill_hash_;
    static std::map<int, int> skill_magic_hash_;
};
