#include "precompile.h"

#include "btcontext.h"
#include "btevent.h"

BtContext::~BtContext()
{
}

void BtContext::AddHandler(std::weak_ptr<Player> target, std::weak_ptr<EventHandler> handler)
{
}


void BtContext::AddEvent(std::shared_ptr<BtEvent> event)
{
}

bool BtContext::HasEvent()
{
    if (!events_.empty()) {
        auto event = events_.at(events_.size() - 1);
        return event->HasEvent();
    }
    return false;
}

void BtContext::FireEvent(BaseAgent* agent)
{
    if (!events_.empty()) {
        auto event = events_.at(events_.size() - 1);
        if (event->HasEvent()) {
            event->FireEvent(agent);
        }
    }
}
