#pragma once

class Room;
class AirRaid
{
 public:

    AirRaid(Room* room);

    void Init();
#ifdef MYDEBUG
    void NextRaid();
#endif

 private:

    void Exec(int airraid_id);
    bool GenAirRaidPos(const mt::AirRaid* raid_meta, glm::vec3& center);
    void ExecOneRoundAirRaid(const mt::AirRaid* raid_meta, const glm::vec3& pos);

 private:
    Room* room_ = nullptr;
#ifdef MYDEBUG
    std::vector<a8::XTimerWp> timers_;
#endif
};
