#pragma once

namespace mt
{
    struct WorldObject;
}

class Room;
struct BornPoint
{
    int player_num = 0;
    int android_num = 0;
    std::shared_ptr<mt::WorldObject> wo_meta;
    int side = 0;

    int GetNum();
    Position RandPoint(Room* room) const;
    Position GetSrcPoint(Room* room) const;
    Position NewRandPoint(Room* room, int min_radius, int max_radius) const;
};
