#include "precompile.h"

#include "buff/berecycle.h"

#include "creature.h"
#include "room.h"
#include "incubator.h"

void BeRecycleBuff::Activate()
{
    owner->room->xtimer.SetIntervalEx
        (
         SERVER_FRAME_RATE * 2,
         [this] (int event, const a8::Args* args)
         {
             if (a8::TIMER_EXEC_EVENT == event) {
                 if (owner->IsHuman()) {
                     owner->room->GetIncubator()->RecycleAndroid(owner->AsHuman());
                 }
             }
         },
         &xtimer_attacher
         );
}

void BeRecycleBuff::Deactivate()
{

}
