#include "precompile.h"

#include "buff/driver.h"

#include "creature.h"
#include "human.h"
#include "car.h"

#include "mt/Equip.h"

void DriverBuff::Activate()
{
    hold_curr_weapon_idx_ = caster_.Get()->GetCurrWeapon()->weapon_idx;
    if (caster_.Get()->IsHuman()) {
        Human* hum = (Human*)caster_.Get();
        if (hum->GetCar() && hum->GetCar()->GetCurrWeapon()) {
            hold_weapons_.push_back(hum->weapons[hum->GetCar()->GetCurrWeapon()->weapon_idx]);
            hum->weapons[hum->GetCar()->GetCurrWeapon()->weapon_idx] = *hum->GetCar()->GetCurrWeapon();
            hum->SetCurrWeapon(&hum->weapons[hum->GetCar()->GetCurrWeapon()->weapon_idx]);
            if (hum->GetCar()->meta &&
                hum->GetSeat() < hum->GetCar()->meta->_shoot_offsets.size() &&
                std::get<0>(hum->GetCar()->meta->_shoot_offsets[hum->GetSeat()])
                ) {
                hum->shoot_offset = std::get<1>(hum->GetCar()->meta->_shoot_offsets[hum->GetSeat()]);
            }
        }
    }
    caster_.Get()->MarkSyncActivePlayer(__FILE__, __LINE__, __func__);
    caster_.Get()->SyncAroundPlayers(__FILE__, __LINE__, __func__);
}

void DriverBuff::Deactivate()
{
    RecoverHoldWeapons();
    caster_.Get()->shoot_offset = GlmHelper::ZERO;
}
