#include "precompile.h"

#include <math.h>
#include <float.h>

#include "buff/reverse.h"

#include "creature.h"
#include "skillhelper.h"

#include "mt/Skill.h"
#include "mt/Buff.h"

void ReverseBuff::Activate()
{
    hold_param1_ = meta->GetBuffParam1(this);
    if (caster_.Get()) {
        if (!GlmHelper::IsEqual2D(caster_.Get()->GetPos().ToGlmVec3(),
                               owner->GetPos().ToGlmVec3())) {
            glm::vec3 dir = caster_.Get()->GetPos().CalcDir(owner->GetPos());
            if ((std::isfinite(dir.x) &&
                 std::isfinite(dir.z))) {
                dir = dir * 1.0f;
                GlmHelper::Normalize(dir);
                owner->SetMoveDir(dir);
                owner->SetAttackDir(dir);
                if (hold_param1_ > 0.001) {
                    owner->ForwardMove(hold_param1_);
                }
            }

        }
    }
}

void ReverseBuff::Deactivate()
{

}
