#pragma once

#include "buff.h"

class SprintBuff : public Buff
{
 public:

    virtual void Activate() override;
    virtual void Deactivate() override;
    void SprintEnd();

 private:
    void SprintMove();
    void CoCollisionCheck();
    void Check(Position& pre_pos, Position& src_pos, std::map<int, long long>& hited_objects);
    void OnEnemyHit(Creature* enemy);

    int stop_times_ = 0;

 private:

    float move_distance_limit_ = 0.0f;
    float check_interval_time_ = 0.0f;
    float check_distance_ = 0.0f;
};
