#pragma once

#ifdef MYDEBUG

#include <glm/gtc/quaternion.hpp>
#include <glm/gtx/quaternion.hpp>

class Creature;
class DebugCmd
{
 public:

    static bool Enable();

    static void CreateSphere(Creature* c,
                             const glm::vec3& pos,
                             const glm::vec3& scale,
                             int uniid);

    static void CreateCube(Creature* c,
                           const glm::vec3& pos,
                           const glm::vec3& scale,
                           const glm::quat& rotation,
                           int uniid);

    static void DrawLine(Creature* c,
                         const glm::vec3& begin,
                         const glm::vec3& end,
                         float time);

    static void DestoryGameObject(Creature* c, int uniid);

};

#endif
