#pragma once

#include "base_agent.h"

#include "creature.h"

class MasterAgent : public BaseAgent
{
public:
    MasterAgent();

    virtual ~MasterAgent() override;

    BEHAVIAC_DECLARE_AGENTTYPE(MasterAgent, BaseAgent)

    int GetUniId();
    bool IsValid();
    bool IsDead();
    const glm::vec3 GetPos();
    float GetHP();
    float GetMaxHP();
    int GetHeroId();
    int GetLevel();

    void SetOwner(Creature* owner);
    virtual Room* GetRoom() override;

private:
    Creature* owner_ = nullptr;
};
