#include "precompile.h"

#include "mt/FormulaPvp.h"

IMPL_TABLE(mt::FormulaPvp)

namespace mt
{

    const mt::FormulaPvp* FormulaPvp::GetByTopx(float topx)
    {
        for (auto& itr : raw_list) {
            if (topx <= itr->top()) {
                return itr;
            }
        }
        return nullptr;
    }

}
