#include "precompile.h"

#include <math.h>

#include "mt/HeroQuality.h"

IMPL_TABLE(mt::HeroQuality)

namespace mt
{

    long long HeroQuality::GetPvpCegUpLimit() const
    {
        double sys_param = 0;
        long long up_limit = round
            (
             (
              0.0402*pow(quality(),3) -
              0.9459*pow(quality(),2) +
              11.9664*quality() +
              4.01892
              ) +
             (
              0.0268*pow(lucky(), 3) -
              2.15712*pow(lucky(), 2) +
              60.944*lucky() -
              560.24
              )
             ) + sys_param;
        return up_limit;
    }

}
