#pragma once

#include "mt/macro.h"
#include "mtb/MapArea.h"

namespace mt
{

    DECLARE_AUTO_ID_TABLE(MapArea, mtb::MapArea,
                          "mapArea@mapArea.json"
                          )
    public:

        void Init1();

        static const mt::MapArea* GetAreaByPoint(int map_id, float x, float y, float z);

    private:
        glm::vec2 center_ = glm::vec2(0.0f, 0.0f);
        static std::map<int, std::vector<const mt::MapArea*>> map_areas;
    };

}
