#pragma once

#include "mt/macro.h"
#include "mtb/MapThing.h"

namespace mt
{

    DECLARE_ID_TABLE(MapThing, mtb::MapThing,
                     "mapThing@mapThing.json",
                     "thing_id")
    public:
        std::vector<int> _buff_list;
        std::vector<int> _airdrop_mon_list;
        long long _special_damage_type = 0;
        long long _receive_special_damage_type = 0;
        int _int_param1 = 0;
        float _float_param1 = 0;
        int _int_param2 = 0;
        float _float_param2 = 0;
        long long _sweep_tags = 0;
        std::vector<int> _param2_list;
        std::vector<std::tuple<int, int>> _preexplosion_summon;
        std::vector<std::tuple<int, int>> _drop;
        std::vector<std::tuple<int, int, int>> _shapes;
        bool HasDrop() const { return !_drop.empty();};

        void Init1();
        std::vector<int> RandDrop() const;

    };

}
