#pragma once

#include "mt/macro.h"
#include "mtb/PveGemini.h"

namespace mt
{

    DECLARE_ID_TABLE(PveGemini, mtb::PveGemini,
                     "pveGemini@pveGemini.json",
                     "gemini_id")
    public:

        void Init1();
        float GetHpMul(int num) const;

        glm::vec3 _spawn_point;

    private:
        std::vector<float> hp_muls;
        std::vector<float> hp_mul;
    };

}
