#include "precompile.h"

#include "mt/RankPoint.h"

IMPL_TABLE(mt::RankPoint)
std::map<int, const mt::RankPoint*> mt::RankPoint::rank_hash_;

namespace mt
{

    void RankPoint::Init1()
    {
        rank_hash_[rank()] = this;
    }

    int RankPoint::GetRankPointParam1(int rank)
    {
        auto itr = rank_hash_.find(rank);
        return itr != rank_hash_.end() ? itr->second->parameter2() : 0;
    }

    int RankPoint::GetRankPointParam2(int rank)
    {
        auto itr = rank_hash_.find(rank);
        return itr != rank_hash_.end() ? itr->second->parameter2() : 0;
    }

    int RankPoint::GetRankPointParam3(int rank)
    {
        auto itr = rank_hash_.find(rank);
        return itr != rank_hash_.end() ? itr->second->parameter3() : 0;
    }

}
