#pragma once

#include "mt/macro.h"
#include "mtb/RankReward.h"

namespace mt
{

    DECLARE_ID_TABLE(RankReward, mtb::RankReward,
                     "rankReward@rankReward.json",
                     "rank")
    public:

       void Init1();
       static float GetRankRewardParam(int rank);

    private:
       static std::map<int, const mt::RankReward*> rank_hash_;

    };

}
