#pragma once

#include <bitset>

namespace mtb
{

  class KillPoint
  {
  public:

    std::shared_ptr<a8::reflect::Class> GetClass() const;
    int kill_num() const { return kill_num_; };
    int parameter() const { return parameter_; };
    int parameter2() const { return parameter2_; };

    bool has_kill_num() const { return __flags__.test(0);};
    bool has_parameter() const { return __flags__.test(1);};
    bool has_parameter2() const { return __flags__.test(2);};

  protected:

    int kill_num_ = 0;
    int parameter_ = 0;
    int parameter2_ = 0;

public:
    std::bitset<3> __flags__;
  };

};
