#pragma once

#include <bitset>

namespace mtb
{

  class LootConfig
  {
  public:

    std::shared_ptr<a8::reflect::Class> GetClass() const;
    int id() const { return id_; };
    int method() const { return method_; };
    const std::string numPara() const { return numPara_; };
    const std::string content() const { return content_; };

    bool has_id() const { return __flags__.test(0);};
    bool has_method() const { return __flags__.test(1);};
    bool has_numPara() const { return __flags__.test(2);};
    bool has_content() const { return __flags__.test(3);};

  protected:

    int id_ = 0;
    int method_ = 0;
    std::string numPara_;
    std::string content_;

public:
    std::bitset<4> __flags__;
  };

};
