#pragma once

#define PERF 1

#include <a8/singleton.h>

class Perf : public a8::Singleton<Perf>
{
private:
    Perf() {};
    friend class a8::Singleton<Perf>;
 public:
    void Init();
    void UnInit();

    long long entity_num = 0;
    long long buff_num = 0;
    long long bt_co_num = 0;
    long long agent_num = 0;
    long long c_wptr_chunk_num = 0;
    long long c_wptr_num = 0;
    long long o_wptr_chunk_num = 0;
    long long o_wptr_num = 0;
    long long e_wptr_chunk_num = 0;
    long long e_wptr_num = 0;
    long long event_handler_num = 0;
    int traversing_cell_creature_count = 0;
    long long find_path_max_time = 0;

 private:
    void Output();

};
