#pragma once

#include <a8/singleton.h>

#ifdef MYDEBUG

class TraceMgr : public a8::Singleton<TraceMgr>
{

 private:
    TraceMgr() {};
    friend class a8::Singleton<TraceMgr>;

 public:

    void Init(const std::string& filename);
    void UnInit();

    void Trace(const std::string& hint);
    void PrintBackTrace();

 private:
    std::string filename_;
    FILE* log_file_ = nullptr;
};

#endif
